Summary:	Max Fighter vertical shoot'em up
Summary(pl.UTF-8):	Strzelanka kosmiczna Max Fighter
Name:		maxfighter
Version:	1.0.1
Release:	6
License:	GPL, Creative Commons NCSA 2.5
Group:		X11/Applications/Games
Source0:	http://source.musgit.com/files/%{name}_%{version}.tar.bz2
# Source0-md5:	086b008982666a839d9a293016ec4591
Patch0:		%{name}-scons.patch
URL:		http://maxfighter.musgit.com/
BuildRequires:	OpenAL-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL_image-devel
BuildRequires:	expat-devel
BuildRequires:	libpng-devel
BuildRequires:	libvorbis-devel
BuildRequires:	mysdl
BuildRequires:	scons
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Max Fighter vertical shoot'em up.

%description -l pl.UTF-8
Strzelanka kosmiczna Max Fighter.

%prep
%setup -q -n %{name}_%{version}
%patch0 -p1

%build
sed -i "/RESOURCEDIR/s|resources/|/usr/share/games/%{name}/|" SConstruct
%{__scons} \
	%{!?debug:dist=1} \
	EXE_EXTENSION='' \
	CXXFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/games/%{name},/var/games/%{name}}

install build/linux/%{name}.exe $RPM_BUILD_ROOT%{_bindir}/%{name}
cp -r resources/* $RPM_BUILD_ROOT%{_datadir}/games/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%attr(2755,root,games) %{_bindir}/%{name}
%{_datadir}/games/%{name}
%attr(770,root,games) %dir /var/games/%{name}
%changelog
* Fri Nov 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/maxfighter.git;a=log;h=master

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 3450d6f
- fix build
- rel 6

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d6ac44
- release 5 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> b992eec
- rebuild with expat 2.1.0
- release 4 (by relup.sh)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ee2a447
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0103923
- release 2

* Thu Apr 21 2011 Krzysztof Krakowiak <evil@pld-linux.org> 8c2b6da
- up to 1.0.1

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f064f7b
- release 3

* Fri Aug 14 2009 arvenil <arvenil@pld-linux.org> 9e52089
- release 2 (rebuild with OpenAL)

* Thu May 24 2007 Jakub Bogusz <qboosh@pld-linux.org> d0abb27
- descs from summaries

* Sun May 20 2007 Tomasz Pala <gotar@pld-linux.org> 8c66290
- initial PLD release

* Sun May 20 2007 Tomasz Pala <gotar@pld-linux.org> e497a13
- make scons understand CXXFLAGS command line option,
- link with libpng.

